-- 基础信息
base_info = {
	group_id = 133302369
}

-- DEFS_MISCS
defs =
{
    maxRegion = 369011,
    maxJumpTimes = 5,
    mushroomList = {
        [1] = {369001, 369002, 369017, 369018},
        [2] = {369004, 369005, 369019, 369020},
        [3] = {369007, 369008, 369021, 369022},
        [4] = {369010, 369012, 369023, 369024},
        [5] = {369014, 369015, 369025, 369026},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[369001] = { config_id = 369001, gadget_id = 70310488, pos = { x = -927.335, y = 202.077, z = 2672.722 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369002] = { config_id = 369002, gadget_id = 70310488, pos = { x = -925.085, y = 202.280, z = 2671.736 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369003] = { config_id = 369003, gadget_id = 70310488, pos = { x = -925.315, y = 201.669, z = 2674.388 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369004] = { config_id = 369004, gadget_id = 70310488, pos = { x = -920.585, y = 203.033, z = 2667.084 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369005] = { config_id = 369005, gadget_id = 70310488, pos = { x = -921.687, y = 204.334, z = 2664.615 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369006] = { config_id = 369006, gadget_id = 70310488, pos = { x = -918.810, y = 203.790, z = 2665.059 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369007] = { config_id = 369007, gadget_id = 70310488, pos = { x = -913.307, y = 202.649, z = 2666.894 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369008] = { config_id = 369008, gadget_id = 70310488, pos = { x = -913.502, y = 201.945, z = 2669.095 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369009] = { config_id = 369009, gadget_id = 70310488, pos = { x = -915.876, y = 202.321, z = 2667.916 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369010] = { config_id = 369010, gadget_id = 70310488, pos = { x = -921.880, y = 200.772, z = 2678.501 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369012] = { config_id = 369012, gadget_id = 70310488, pos = { x = -919.630, y = 200.931, z = 2677.069 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369013] = { config_id = 369013, gadget_id = 70310488, pos = { x = -919.860, y = 200.655, z = 2679.792 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369014] = { config_id = 369014, gadget_id = 70310488, pos = { x = -915.507, y = 200.924, z = 2675.904 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369015] = { config_id = 369015, gadget_id = 70310488, pos = { x = -913.013, y = 201.051, z = 2674.314 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369016] = { config_id = 369016, gadget_id = 70310488, pos = { x = -913.074, y = 200.871, z = 2676.980 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369017] = { config_id = 369017, gadget_id = 70310488, pos = { x = -920.585, y = 203.033, z = 2667.084 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369018] = { config_id = 369018, gadget_id = 70310488, pos = { x = -921.880, y = 200.772, z = 2678.501 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369019] = { config_id = 369019, gadget_id = 70310488, pos = { x = -927.335, y = 202.077, z = 2672.722 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369020] = { config_id = 369020, gadget_id = 70310488, pos = { x = -913.502, y = 201.945, z = 2669.095 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369021] = { config_id = 369021, gadget_id = 70310488, pos = { x = -918.810, y = 203.790, z = 2665.059 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369022] = { config_id = 369022, gadget_id = 70310488, pos = { x = -917.396, y = 201.229, z = 2674.571 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369023] = { config_id = 369023, gadget_id = 70310488, pos = { x = -925.315, y = 201.669, z = 2674.388 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369024] = { config_id = 369024, gadget_id = 70310488, pos = { x = -915.507, y = 200.924, z = 2675.904 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369025] = { config_id = 369025, gadget_id = 70310488, pos = { x = -920.827, y = 201.395, z = 2675.109 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 },
	[369026] = { config_id = 369026, gadget_id = 70310488, pos = { x = -915.876, y = 202.321, z = 2667.916 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 24 }
}

-- 区域
regions = {
	[369011] = { config_id = 369011, shape = RegionShape.SPHERE, radius = 35, pos = { x = -919.795, y = 201.795, z = 2672.407 }, area_id = 24 }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 369011 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_0/ContinuousTrampoline"
